Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType borderLayoutType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType
          {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType
              {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType
                  {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}administeredControlType
                      {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}layoutType
                          {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}borderLayoutType

Model
  `<...
  definitionId = string
  description = string
  htmlLayoutUri = string
  iconUri = string
  id = string
  jspPattern = string
  layoutStrategy = string
  markupName = `{string: length ≥ 1}`
  markupType = `"Layout"`
  presentationClass = string
  presentationId = string
  presentationStyle = string
  properties = string
  skeletonUri = string
  tagName = string
  title = `{string: length ≥ 1}`
  type = string
  >
  placeholder+
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: borderLayout

Nested Element Summary
`placeholderType` | `placeholder` 1...∞

Attribute Summary
`string` | `definitionId`
`string` | `description`
`string` | `htmlLayoutUri`
`string` | `iconUri`
`string` | `id`
`string` | `jspPattern`
`string` | `layoutStrategy`
`annonymous type derived from string` | `markupName`
`annonymous type derived from string` | `markupType`
`string` | `presentationClass`
`string` | `presentationId`
`string` | `presentationStyle`
`string` | `properties`
`string` | `skeletonUri`
`string` | `tagName`
`titleType` | `title`
`string` | `type`

Attribute Detail

### definitionId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### description

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### htmlLayoutUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### iconUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### jspPattern

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### layoutStrategy

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### markupName

Model
  `{string: length ≥ 1}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

Length Facets
  length ≥ 1

White Space Processing
  preserve

### markupType

Model
  `"Layout"`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Enumeration Facet
  `"Layout"`

### presentationClass

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationStyle

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### properties

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### skeletonUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tagName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type titleType

Model
  `{string: length ≥ 1}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### type

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1